import sys

"""
Goodrich et al
Data Structures in Python
Chapter 5: Array-Based Sequences

Question R-2

Determine sequence of array sizes where 
the array size is exhausted and must be 
expanded.
"""

n = 10000
data = []

so = sys.getsizeof(data)

for k in range(n):
    sonew = sys.getsizeof(data)

    if(sonew != so):
        so = sonew
        mylen = len(data)
        print("len {0}, sizeof (bytes) {1}".format(sonew,mylen))

    data.append(None)
