# Linked List

Overloading class constructors in Python:
* Instead of having two constructor methods, make parameters/arguments optional by giving them default values.
* Example: `__init__(self, data, next_node = None)`
* Pass arguments as a list, and parse them using `*args`
* Better, pass arguments as a keyword list, and parse them using `**kwargs`

