# Binary search is O(log n)
# public implementation
def binary_search(target,sequence):
    return binary_search_(target,sequence,0,len(sequence)-1)

# private implementation
def binary_search_(target,sequence,imin,imax):
    if(imax<imin):
        return -1
    m = (imax+imin)//2
    if(target<sequence[m]):
        return binary_search_(target,sequence,imin,m-1)
    elif(target>sequence[m]):
        return binary_search_(target,sequence,m+1,imax)
    else:
        return m

