"""
Goodrich et al
"Data Structures and Algorithms"
Chapter 3: Algorithm Analysis

Problem C-3.36
Describe a efficient algorithm for finding the ten largest elements 
of a sequence of size n.
What is the running time of this algorithm?

* Sort n elements, O(n log n)
* Get 10 items from the back (biggest)

Note that if we want to find the 10 biggest *unique* elements,
we have to turn the list into a set, then back into a list.
This would be an O(n) operation, not affecting the asymptotic 
cost of the algorithm.
"""

def ten_biggest(A):
    A = sorted(A)
    return A[-10:]

def ten_biggest_unique(A):
    A = list(set(S))
    A = sorted(A)
    return A[-10:]

if __name__=="__main__":
    print ten_biggest( list(range(15)) + list(range(8)) + list(range(88)) + list(range(14)) )

